Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Tue, 14 Mar 2023 13:49:07 +0000 (UTC)

Hi Mohammad Khalid,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I ordered some items worth 500 AED online
Expected delivery on 16 th
I'm flying on 16 th

I asked customer care to help to get it delivered atleast on 16 th morning

No help from customer care ,they keep repeating the same thing
And then they say , anything further can we assist with

All the things I ordered on Amazon are received

I will never order or buy from baby shop again

No help at all from customer service https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5847149